#!/bin/bash

# Získání Woodpecker Agent Secret
read -p "Zadejte WOODPECKER_AGENT_SECRET: " WOODPECKER_AGENT_SECRET

# Spuštění Woodpecker agenta
echo "Spuštění Woodpecker agenta..."
docker run --name=woodpecker-agent --restart=always --detach \
    -e WOODPECKER_SERVER="adres_serveru_woodpecker:9000" \
    -e WOODPECKER_MAX_WORKFLOWS=4 \
    -e WOODPECKER_GRPC_SECURE=true \
    -e WOODPECKER_LOG_LEVEL=info \
    -v /var/run/docker.sock:/var/run/docker.sock \
    -e WOODPECKER_BACKEND=docker \
    -e WOODPECKER_AGENT_SECRET="$WOODPECKER_AGENT_SECRET" \
    woodpeckerci/woodpecker-agent:latest

echo "Spuštění Woodpecker agenta je dokončeno."
