#!/bin/bash

# Aktualizace a upgrade systému
echo "Aktualizace a upgrade systému..."
sudo apt update && sudo apt upgrade -y

# Instalace Dockeru
echo "Instalace Dockeru..."
sudo apt install -y docker.io

# Spuštění a povolení Docker služby
echo "Spuštění a povolení Docker služby..."
sudo systemctl start docker
sudo systemctl enable docker

# Přidání uživatele do skupiny docker
echo "Přidání uživatele do skupiny docker..."
sudo usermod -aG docker $USER

# Znovu načtení skupin
newgrp docker

# Ukončení skriptu
echo "Přidání uživatele do skupiny docker bylo dokončeno."
