#!/bin/bash

# Zadejte uživatelské jméno, které chcete odstranit
read -p "Zadejte uživatelské jméno, které chcete odstranit: " USERNAME

# Potvrzení před odstraněním uživatele
read -p "Opravdu chcete odstranit uživatele $USERNAME? (y/n): " CONFIRM
if [[ $CONFIRM != "y" ]]; then
    echo "Operace zrušena."
    exit 1
fi

# Kontrola, zda uživatel existuje
if id "$USERNAME" &>/dev/null; then
    # Ukončení všech procesů uživatele
    sudo killall -u $USERNAME
    # Odstranění uživatele včetně jeho domovského adresáře
    sudo userdel -r $USERNAME
    echo "Uživatel $USERNAME byl úspěšně odstraněn."
else
    echo "Uživatel $USERNAME neexistuje."
fi
